use 教学成绩管理数据库
select 小组, 性别, 
  max(datediff(year,出生日期,getdate())) 最大年龄,
  min(datediff(year,出生日期,getdate())) 最小年龄,
  avg(datediff(year,出生日期,getdate())) 平均年龄,
  sum(datediff(year,出生日期,getdate())) 年龄总和,
  count(*) as 人数
from 学生信息表
group by 小组,性别
order by 小组,性别
